Linux-GPIB 4.3.7 Documentation
Prev |  | Next

# FindRQS

## Name

FindRQS -- find device requesting service and read its status byte

## Synopsis

    #include <gpib/ib.h>

``void FindRQS`(int board_desc, const Addr4882_t addressList[], short *status);`

## Description

FindRQS will serial poll the GPIB addresses specified in the `addressList` array until it finds a device requesting service. The status byte of the device requesting service is stored in the location specified by `status`. The `addressList` array index of the device requesting service is returned in ibcnt. If no device requesting service is found, an ETAB error is returned in iberr.

Prev | Home | Next
FindLstn | Up | PassControl